import express, {Request, Response, Router} from "express";
import {sendError} from "@utils/error";
import authRoutes from "./auth";
import accountRoutes from "./account";

const app: Router = express.Router();

// Middlewares that don't require authentication
app.use("/auth", authRoutes);
app.use("/user", accountRoutes);

// Middlewares that require authentication

app.use("*", (req: Request, res: Response) => sendError(res, 404, 0, "The provided route could not be found"));

export default app;